Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.container
Class PortletApplicationLifeCycle

    java.lang.Object
      org.jboss.portal.portlet.impl.container.LifeCycle
          org.jboss.portal.portlet.impl.container.PortletApplicationLifeCycle

All Implemented Interfaces:
  ManagedObject, ManagedPortletApplication

    public class PortletApplicationLifeCycle

extends LifeCycle
implements ManagedPortletApplication

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletApplicationLifeCycle(ManagedObjectRegistryEventListener listener, PortletApplicationContext portletApplicationContext, PortletApplicationObject portletApplication)`
`PortletApplicationLifeCycle(PortletApplicationContext portletApplicationContext, PortletApplicationObject portletApplication)`

Method Summary
`void` | `addDependency(PortletFilterLifeCycle portletFilterLifeCycle, PortletContainerLifeCycle portletContainerLifeCycle)`
`PortletContainerLifeCycle` | `addPortletContainer(PortletContainerContext portletContainerContext, PortletContainerObject portletContainer)`
`PortletFilterLifeCycle` | `addPortletFilter(PortletFilterContext portletFilterContext, PortletFilterObject portletFilter)`
`void` | `create()`
`void` | `destroy()`
`java.util.Set<PortletFilterLifeCycle>` | `getDependencies(PortletContainerLifeCycle portletContainerLifeCycle)`
`java.util.Set<PortletContainerLifeCycle>` | `getDependencies(PortletFilterLifeCycle portletFilterLifeCycle)`
`java.lang.String` | `getId()`
`protected ManagedObjectRegistryEventListener` | `getListener()`
`PortletContainerLifeCycle` | `getManagedPortletContainer(java.lang.String portletContainerId)`
`java.util.Collection<? extends PortletContainerLifeCycle>` | `getManagedPortletContainers()`
`PortletFilterLifeCycle` | `getManagedPortletFilter(java.lang.String portletFilterId)`
`java.util.Collection<? extends PortletFilterLifeCycle>` | `getManagedPortletFilters()`
`PortletApplication` | `getPortletApplication()`
`protected void` | `invokeStart()`
`protected void` | `invokeStop()`
`protected void` | `startDependents()`
`protected void` | `stopDependents()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.portlet.impl.container.LifeCycle
`getStatus, managedStart, managedStop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.container.managed.ManagedObject
`getStatus, managedStart, managedStop`

Constructor Detail

### PortletApplicationLifeCycle

    public PortletApplicationLifeCycle(ManagedObjectRegistryEventListener listener,
                                       PortletApplicationContext portletApplicationContext,
                                       PortletApplicationObject portletApplication)

### PortletApplicationLifeCycle

    public PortletApplicationLifeCycle(PortletApplicationContext portletApplicationContext,
                                       PortletApplicationObject portletApplication)

Method Detail

### create

    public void create()

### destroy

    public void destroy()

### addPortletContainer

    public PortletContainerLifeCycle addPortletContainer(PortletContainerContext portletContainerContext,
                                                         PortletContainerObject portletContainer)

### addPortletFilter

    public PortletFilterLifeCycle addPortletFilter(PortletFilterContext portletFilterContext,
                                                   PortletFilterObject portletFilter)

### addDependency

    public void addDependency(PortletFilterLifeCycle portletFilterLifeCycle,
                              PortletContainerLifeCycle portletContainerLifeCycle)

### getDependencies

    public java.util.Set<PortletFilterLifeCycle> getDependencies(PortletContainerLifeCycle portletContainerLifeCycle)

### getDependencies

    public java.util.Set<PortletContainerLifeCycle> getDependencies(PortletFilterLifeCycle portletFilterLifeCycle)

### invokeStart

    protected void invokeStart()
                        throws java.lang.Exception

  Specified by:
    `invokeStart` in class `LifeCycle`
  Throws:
    `java.lang.Exception`

### startDependents

    protected void startDependents()

  Overrides:
    `startDependents` in class `LifeCycle`

### stopDependents

    protected void stopDependents()

  Overrides:
    `stopDependents` in class `LifeCycle`

### invokeStop

    protected void invokeStop()

  Specified by:
    `invokeStop` in class `LifeCycle`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ManagedPortletApplication`

### getManagedPortletContainers

    public java.util.Collection<? extends PortletContainerLifeCycle> getManagedPortletContainers()

  Specified by:
    `getManagedPortletContainers` in interface `ManagedPortletApplication`

### getManagedPortletContainer

    public PortletContainerLifeCycle getManagedPortletContainer(java.lang.String portletContainerId)

  Specified by:
    `getManagedPortletContainer` in interface `ManagedPortletApplication`

### getManagedPortletFilters

    public java.util.Collection<? extends PortletFilterLifeCycle> getManagedPortletFilters()

  Specified by:
    `getManagedPortletFilters` in interface `ManagedPortletApplication`

### getManagedPortletFilter

    public PortletFilterLifeCycle getManagedPortletFilter(java.lang.String portletFilterId)

  Specified by:
    `getManagedPortletFilter` in interface `ManagedPortletApplication`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPortletApplication

    public PortletApplication getPortletApplication()

### getListener

    protected ManagedObjectRegistryEventListener getListener()

  Specified by:
    `getListener` in class `LifeCycle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.